Skip to main content
POST
/
clients
/
me
/
wallets
/
{walletId}
/
prepare-eject
Prepare wallet ejection (deprecated)
curl --request POST \
  --url https://api.portalhq.io/api/v3/clients/me/wallets/{walletId}/prepare-eject \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "backupMethod": "<string>"
}
'
{
  "encryptedClientBackupShare": "<string>",
  "custodianBackupShare": "<string>"
}

Authorizations

Authorization
string
header
required

Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.

Path Parameters

walletId
string
required

The unique identifier of the wallet.

Body

application/json
backupMethod
string
required

The backup method to use for ejection.

Response

Ejection prepared successfully

encryptedClientBackupShare
string | null

Encrypted client backup share, or null.

custodianBackupShare
string

The custodian's backup share.